net.sourceforge.pmd.lang.java.symboltable

## Class ImageFinderFunction

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.ImageFinderFunction

- All Implemented Interfaces:
    UnaryFunction<NameDeclaration>

      public class ImageFinderFunction
      extends Object
      implements UnaryFunction<NameDeclaration>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageFinderFunction(List<String> imageList)`
    `ImageFinderFunction(String img)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(NameDeclaration nameDeclaration)`
    `NameDeclaration` | `getDecl()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageFinderFunction

          public ImageFinderFunction(String img)

    - #### ImageFinderFunction

          public ImageFinderFunction(List<String> imageList)

  - ### Method Detail

    - #### applyTo

          public void applyTo(NameDeclaration nameDeclaration)

      Specified by:
        `applyTo` in interface `UnaryFunction<NameDeclaration>`

    - #### getDecl

          public NameDeclaration getDecl()

Copyright © 2002-2013 InfoEther. All Rights Reserved.